=== man/Makefile ===
ALL: notedeln.1 webgrab.1

%.1: %.1.txt
	a2x --doctype manpage --format manpage --no-xmllint --destination-dir=. $<
