=== src/CMakeLists.txt ===
# Automatically generated by updatesources.sh

include(src/App/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/App)
include(src/ToolScene/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/ToolScene)
include(src/Dialogs/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/Dialogs)
include(src/Gui/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/Gui)
include(src/Book/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/Book)
include(src/Data/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/Data)
include(src/File/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/File)
include(src/Items/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/Items)
include(src/Scenes/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/Scenes)
include(src/AutoNote/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/AutoNote)
