=== src/Data/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE src/Data/BlockData.h )
target_sources(notedeln PRIVATE src/Data/Data.h )
target_sources(notedeln PRIVATE src/Data/DataTemplates.h )
target_sources(notedeln PRIVATE src/Data/EntryData.h )
target_sources(notedeln PRIVATE src/Data/FootnoteData.h )
target_sources(notedeln PRIVATE src/Data/GfxBlockData.h )
target_sources(notedeln PRIVATE src/Data/GfxData.h )
target_sources(notedeln PRIVATE src/Data/GfxImageData.h )
target_sources(notedeln PRIVATE src/Data/GfxLineData.h )
target_sources(notedeln PRIVATE src/Data/GfxMarkData.h )
target_sources(notedeln PRIVATE src/Data/GfxNoteData.h )
target_sources(notedeln PRIVATE src/Data/GfxPointsData.h )
target_sources(notedeln PRIVATE src/Data/GfxSketchData.h )
target_sources(notedeln PRIVATE src/Data/GfxVideoData.h )
target_sources(notedeln PRIVATE src/Data/LateNoteData.h )
target_sources(notedeln PRIVATE src/Data/MarkupData.h )
target_sources(notedeln PRIVATE src/Data/MarkupEdges.h )
target_sources(notedeln PRIVATE src/Data/MarkupStyles.h )
target_sources(notedeln PRIVATE src/Data/Random.h )
target_sources(notedeln PRIVATE src/Data/ResManager.h )
target_sources(notedeln PRIVATE src/Data/Resource.h )
target_sources(notedeln PRIVATE src/Data/TableBlockData.h )
target_sources(notedeln PRIVATE src/Data/TableCell.h )
target_sources(notedeln PRIVATE src/Data/TableData.h )
target_sources(notedeln PRIVATE src/Data/TextBlockData.h )
target_sources(notedeln PRIVATE src/Data/TextData.h )
target_sources(notedeln PRIVATE src/Data/TitleData.h )
target_sources(notedeln PRIVATE src/Data/UUID.h )
target_sources(notedeln PRIVATE src/Data/BlockData.cpp )
target_sources(notedeln PRIVATE src/Data/Data.cpp )
target_sources(notedeln PRIVATE src/Data/EntryData.cpp )
target_sources(notedeln PRIVATE src/Data/FootnoteData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxBlockData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxImageData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxLineData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxMarkData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxNoteData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxPointsData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxSketchData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxVideoData.cpp )
target_sources(notedeln PRIVATE src/Data/LateNoteData.cpp )
target_sources(notedeln PRIVATE src/Data/MarkupData.cpp )
target_sources(notedeln PRIVATE src/Data/MarkupEdges.cpp )
target_sources(notedeln PRIVATE src/Data/Random.cpp )
target_sources(notedeln PRIVATE src/Data/ResManager.cpp )
target_sources(notedeln PRIVATE src/Data/Resource.cpp )
target_sources(notedeln PRIVATE src/Data/TableBlockData.cpp )
target_sources(notedeln PRIVATE src/Data/TableCell.cpp )
target_sources(notedeln PRIVATE src/Data/TableData.cpp )
target_sources(notedeln PRIVATE src/Data/TableData_HighLevel.cpp )
target_sources(notedeln PRIVATE src/Data/TextBlockData.cpp )
target_sources(notedeln PRIVATE src/Data/TextData.cpp )
target_sources(notedeln PRIVATE src/Data/TitleData.cpp )
target_sources(notedeln PRIVATE src/Data/UUID.cpp )
