=== src/File/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE src/File/BackgroundVC.h )
target_sources(notedeln PRIVATE src/File/BookFile.h )
target_sources(notedeln PRIVATE src/File/CachedEntry.h )
target_sources(notedeln PRIVATE src/File/DataFile.h )
target_sources(notedeln PRIVATE src/File/DefaultLocation.h )
target_sources(notedeln PRIVATE src/File/DFBlocker.h )
target_sources(notedeln PRIVATE src/File/Downloader.h )
target_sources(notedeln PRIVATE src/File/EntryFile.h )
target_sources(notedeln PRIVATE src/File/Entry.h )
target_sources(notedeln PRIVATE src/File/ImageLoader.h )
target_sources(notedeln PRIVATE src/File/JSONFile.h )
target_sources(notedeln PRIVATE src/File/LateNoteFile.h )
target_sources(notedeln PRIVATE src/File/LateNoteManager.h )
target_sources(notedeln PRIVATE src/File/PointerSet.h )
target_sources(notedeln PRIVATE src/File/ResLoader.h )
target_sources(notedeln PRIVATE src/File/RmDir.h )
target_sources(notedeln PRIVATE src/File/SmartURL.h )
target_sources(notedeln PRIVATE src/File/SvgFile.h )
target_sources(notedeln PRIVATE src/File/VersionControl.h )
target_sources(notedeln PRIVATE src/File/VideoFile.h )
target_sources(notedeln PRIVATE src/File/BackgroundVC.cpp )
target_sources(notedeln PRIVATE src/File/CachedEntry.cpp )
target_sources(notedeln PRIVATE src/File/DataFile.cpp )
target_sources(notedeln PRIVATE src/File/DefaultLocation.cpp )
target_sources(notedeln PRIVATE src/File/DFBlocker.cpp )
target_sources(notedeln PRIVATE src/File/Downloader.cpp )
target_sources(notedeln PRIVATE src/File/Entry.cpp )
target_sources(notedeln PRIVATE src/File/EntryFile.cpp )
target_sources(notedeln PRIVATE src/File/ImageLoader.cpp )
target_sources(notedeln PRIVATE src/File/JSONFile.cpp )
target_sources(notedeln PRIVATE src/File/LateNoteFile.cpp )
target_sources(notedeln PRIVATE src/File/LateNoteManager.cpp )
target_sources(notedeln PRIVATE src/File/PointerSet.cpp )
target_sources(notedeln PRIVATE src/File/ResLoader.cpp )
target_sources(notedeln PRIVATE src/File/RmDir.cpp )
target_sources(notedeln PRIVATE src/File/SvgFile.cpp )
target_sources(notedeln PRIVATE src/File/VersionControl.cpp )
target_sources(notedeln PRIVATE src/File/VideoFile.cpp )
