=== src/ToolScene/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE src/ToolScene/ClockFace.h )
target_sources(notedeln PRIVATE src/ToolScene/ColorBar.h )
target_sources(notedeln PRIVATE src/ToolScene/Icons.h )
target_sources(notedeln PRIVATE src/ToolScene/LineWidthBar.h )
target_sources(notedeln PRIVATE src/ToolScene/LineWidthItem.h )
target_sources(notedeln PRIVATE src/ToolScene/MarkShapeBar.h )
target_sources(notedeln PRIVATE src/ToolScene/MarkSizeBar.h )
target_sources(notedeln PRIVATE src/ToolScene/MarkSizeItem.h )
target_sources(notedeln PRIVATE src/ToolScene/Modebar.h )
target_sources(notedeln PRIVATE src/ToolScene/Navbar.h )
target_sources(notedeln PRIVATE src/ToolScene/Toolbar.h )
target_sources(notedeln PRIVATE src/ToolScene/Toolbars.h )
target_sources(notedeln PRIVATE src/ToolScene/ToolItem.h )
target_sources(notedeln PRIVATE src/ToolScene/ToolScene.h )
target_sources(notedeln PRIVATE src/ToolScene/ToolView.h )
target_sources(notedeln PRIVATE src/ToolScene/ClockFace.cpp )
target_sources(notedeln PRIVATE src/ToolScene/ColorBar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/Icons.cpp )
target_sources(notedeln PRIVATE src/ToolScene/LineWidthBar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/LineWidthItem.cpp )
target_sources(notedeln PRIVATE src/ToolScene/MarkShapeBar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/MarkSizeBar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/MarkSizeItem.cpp )
target_sources(notedeln PRIVATE src/ToolScene/Modebar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/Navbar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/Toolbar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/Toolbars.cpp )
target_sources(notedeln PRIVATE src/ToolScene/ToolItem.cpp )
target_sources(notedeln PRIVATE src/ToolScene/ToolScene.cpp )
target_sources(notedeln PRIVATE src/ToolScene/ToolView.cpp )
target_sources(notedeln PRIVATE src/ToolScene/icons.qrc )
