=== debian/changelog ===
eln (1.5.4-2) unstable; urgency=medium

  * Restrict arch to amd64/arm64/armhf/i386 due to dependency on
    qt6-pdf-dev, qml6-module-qtwebengine-controlsdelegates, and
    qml6-module-qtwebengine (closes: #1074219)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 26 Sep 2024 11:56:04 +0100

eln (1.5.4-1) unstable; urgency=medium

  * Make dependencies on optional stuff optional with foo|dpkg trick.
  * New upstream release
  * Bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 27 Apr 2024 10:51:06 +0100
