=== debian/watch ===
version=4
https://github.com/wagenadl/@PACKAGE@/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
